#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    int A, B, C, a=0, b=0, c=0, B1, B2, B3, B4, B5, B6, max, x, y, z;
    printf("Unesite tri broja A, B i C:\n");
    scanf("%d%d%d",&A,&B,&C);
    x=A;
    y=B;
    z=C;
    if(A>=1 && B>=1 && C>=1)
    {
        while(A>0)
    {
            A/=10;
            a++;
    }
        while(B>0)
    {
            B/=10;
            b++;
    }
        while(C>0)
    {
            C/=10;
            c++;
    }
        B1=(x*pow(10,b)+y)*pow(10,c)+z;
        B2=(x*pow(10,c)+z)*pow(10,b)+y;
        B3=(y*pow(10,a)+x)*pow(10,c)+z;
        B4=(y*pow(10,c)+z)*pow(10,a)+x;
        B5=(z*pow(10,a)+x)*pow(10,b)+y;
        B6=(z*pow(10,b)+y)*pow(10,a)+x;
        max=B1;
        if(B2>max)
        max=B2;
        else if(B3>max)
        max=B3;
        else if(B4>max)
        max=B4;
        else if(B5>max)
        max=B5;
        else if(B6>max)
        max=B6;
        max+=1;
        printf("Najveci moguci broj koji se boze dobiti spajanjem brojeva A, B i C je %d",max);
    }
    else
        printf("Ni jedan broj ne sme biti manji od 1!");
    return 0;
}